dbXML API

## com.dbxml.db.embedded
Class EmbeddedDatabase

    java.lang.Object
      com.dbxml.db.core.CollectionManager
          com.dbxml.db.core.Collection
              com.dbxml.db.core.Database
                  com.dbxml.db.embedded.EmbeddedDatabase

All Implemented Interfaces:
  Configurable

public final class EmbeddedDatabase
extends Database

EmbeddedDatabase

Field Summary

Fields inherited from class com.dbxml.db.core.Database
`database`

Fields inherited from class com.dbxml.db.core.Collection
`TYPE_DOCUMENTS, TYPE_RECORDS`

Constructor Summary
`EmbeddedDatabase(EmbeddedConfiguration config)`

Methods inherited from class com.dbxml.db.core.Database
`addDatabaseEventListener, dispose, flushConfig, getCache, getDatabase, getInstance, getQueryEngine, getSecurityManager, getSystemCollection, isDatabaseEmbedded, removeDatabaseEventListener, setConfig`

Methods inherited from class com.dbxml.db.core.Collection

`createCollection, createNewOID, drop, dropCollection, flushSymbolTable, getCanonicalDocumentName, getCanonicalName, getCollectionRoot, getCollectionType, getContainer, getContainerSet, getDocument, getExtensionManager, getIndexManager, getKeyCount, getName, getParentCollection, getRecord, getRecordMetaData, getSymbols, getTriggerManager, insertDocument, insertRecord, listKeys, queryCollection, queryDocument, remove, setDocument, setRecord, setRecord`

Methods inherited from class com.dbxml.db.core.CollectionManager
`getCollection, getConfig, listCollections`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.dbxml.util.Configurable
`getConfig`

Constructor Detail

### EmbeddedDatabase

    public EmbeddedDatabase(EmbeddedConfiguration config)
                     throws dbXMLException

dbXML API

Copyright (c) 2004 The dbXML Group